/*
	DSGeneralTableView - a general purpose table view subclass.
	
	Copyright (c)2007 Night Productions, by Darkshadow. All Rights Reserved.
	Located at: http://www.nightproductions.net/developer.htm
	Email: darkshadow@nightproductions.net
	
	May be used freely, but keep my name/copyright in the header.
	
	I would appreciate any code changes / improvements made sent to me, but
	I do not make that a condition of using this code.
	
	There is NO warranty of any kind, express or implied; use at your own risk.
	Responsibility for damages (if any) to anyone resulting from the use of this
	code rests entirely with the user.
	
	----
	
	This code will compile for 10.3 and up.  It can be made to compile for 10.2 if
	you remove -dragImage:at:offset:event:pasteboard:source:slideBack: or if you
	edit it not to use NSIndexSets.  Note that if you do use this for 10.2, the
	custom alternating row colors won't work.  Everything else will.
	
	---------------------------------------------------------
	* May 25, 2007 - Initial release.
*/

#import <Cocoa/Cocoa.h>


@interface DSGeneralTableView : NSTableView {
	NSColor *ds_lightCellColor;
	NSColor *ds_darkCellColor;
	NSColor *ds_secondaryColor;
	NSImage *ds_highlightImage;
	NSImage *ds_secondaryHighlightImage;
	NSDragOperation ds_localOperation;
	NSDragOperation ds_externalOperation;
	float ds_fullRowHeight;
	BOOL ds_roundedSelections;
	BOOL ds_useGradientSelection;
	BOOL ds_useHighlightColorInBackground;
	BOOL ds_useCustomAlternatingRowColors;
	BOOL ds_isFirstResponder;
	BOOL ds_ignoreModKeysInDrag;
}

- (void)setDraggingSourceOperationMaskForLocal:(NSDragOperation)localOperation external:(NSDragOperation)externalOperation;
- (void)setIgnoreModifierKeysWhileDragging:(BOOL)aFlag;
- (void)setCustomAlternatingRowColors:(NSArray *)colorArray;
- (NSArray *)customAlternatingRowColors;
- (void)setRoundedSelections:(BOOL)aFlag;
- (BOOL)roundedSelections;
- (void)setUseGradientSelection:(BOOL)aFlag;
- (BOOL)useGradientSelection;
- (void)setUseHighlightColorInBackground:(BOOL)aFlag;
- (BOOL)useHighlightColorInBackground;
- (void)setUseCustomAlternatingRowColors:(BOOL)aFlag;
- (BOOL)useCustomAlternatingRowColors;
- (BOOL)isFirstResponder;

@end
